BioCodec (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.namefind

## Class BioCodec

- java.lang.Object
- - opennlp.tools.namefind.BioCodec

- All Implemented Interfaces:
    SequenceCodec<String>

      public class BioCodec
      extends Object
      implements SequenceCodec<String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTINUE`
    `static String` | `OTHER`
    `static String` | `START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BioCodec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areOutcomesCompatible(String[] outcomes)` Checks if the outcomes of the model are compatible with the codec.
    `NameFinderSequenceValidator` | `createSequenceValidator()` Creates a sequence validator which can validate a sequence of outcomes.
    `Span[]` | `decode(List<String> c)` Decodes a sequence T objects into Span objects.
    `String[]` | `encode(Span[] names, int length)` Encodes Span objects into a sequence of T objects.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START

          public static final String START

      See Also:
        Constant Field Values

    - #### CONTINUE

          public static final String CONTINUE

      See Also:
        Constant Field Values

    - #### OTHER

          public static final String OTHER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BioCodec

          public BioCodec()

  - ### Method Detail

    - #### decode

          public Span[] decode(List<String> c)

      Description copied from interface: `SequenceCodec`
      Decodes a sequence T objects into Span objects.
      Specified by:
        `decode` in interface `SequenceCodec<String>`
      Returns:

    - #### encode

          public String[] encode(Span[] names,
                                 int length)

      Description copied from interface: `SequenceCodec`
      Encodes Span objects into a sequence of T objects.
      Specified by:
        `encode` in interface `SequenceCodec<String>`
      Returns:

    - #### createSequenceValidator

          public NameFinderSequenceValidator createSequenceValidator()

      Description copied from interface: `SequenceCodec`
      Creates a sequence validator which can validate a sequence of outcomes.
      Specified by:
        `createSequenceValidator` in interface `SequenceCodec<String>`
      Returns:

    - #### areOutcomesCompatible

          public boolean areOutcomesCompatible(String[] outcomes)

      Description copied from interface: `SequenceCodec`
      Checks if the outcomes of the model are compatible with the codec.
      Specified by:
        `areOutcomesCompatible` in interface `SequenceCodec<String>`
      Parameters:
        `outcomes` - all possible model outcomes
      Returns:

Copyright © 2026 The Apache Software Foundation. All rights reserved.